import fetch from "@/utils/fetch";
// 左侧树
export const getTree = (data) =>
  fetch("/design/sgw/d2aDataBase/byCondition", data, "POST");
//树删除
export const treeDelete = (data) =>
  fetch("/design/sgw/d2aDataBase/deleting", data, "GET");
//树新建
export const treeCreate = (data) =>
  fetch("/design/sgw/d2aDataBase/creating", data, "POST");
//树编辑
export const treeEdit = (data) =>
  fetch("/design/sgw/d2aDataBase/updating", data, "POST");
//查重
export const repeatName = (data) =>
  fetch("/design/sgw/d2aDataBase/byCondition", data, "POST");
// 测试
export const test = (data) =>
  fetch("/design/sgw/d2aDataBase/testConnect", data, "POST");
// 表格查寻
export const queryData = (data) =>
  fetch("/design/sgw/d2aTable/byPage", data, "POST");
// 表格删除
export const deleting = (data) =>
  fetch(
    "/design/develop/businessTable/dropBusinessTableLogicallyByIds",
    data,
    "GET"
  );
// 字段新建
export const saveField = (data) =>
  fetch("/design/develop/businessTable/createBusinessTable", data, "POST");

// 获取可导入表
export const getTable = (data) =>
  fetch("/design/sgw/d2aDataBase/listImportTable", data, "GET");
// 导入表
export const importTable = (data) =>
  fetch("/design/sgw/d2aDataBase/importTable", data, "POST");
// 导入模式
export const importPattern = (data) =>
  fetch("/design/sgw/d2aDataBase/listOracleSchema", data, "GET");
//查询app信息
export const getAppData = (data) =>
  fetch(`/design/appmanage/application/${data}`);

// 获取字段数据
export const queryFileds = (data) =>
  fetch(`/design/develop/businessTable/${data}`, {}, "GET");

// 名称查重
export const repeatTabName = (data) =>
  fetch("/design/sgw/d2aTable/byCondition", data, "POST");

// 字段编辑
export const editField = (data) =>
  fetch("/design/develop/businessTable/alterBusinessTable", data, "POST");

// 获取业务表列表
export const getList = (data) =>
  fetch("/design/sgw/d2aTable/listTableFields", data, "GET");
// 回填ER图数据
export const queryBack = (data) =>
  fetch("/design/develop/erdiagrammer/byCondition", data, "POST");
// ER图保存
export const save = (data) =>
  fetch("/design/develop/erdiagrammer/creating", data, "POST", true);
// 获取表操作信息
export const queryOperationLog = (data) =>
  fetch("/design/develop/operationLog/byPage", data, "POST");
