import RepomoduletyperestserverDao from "@/dao/console/repomoduletyperestserver";

export default {
  async queryRuleGroup({ component }) {
    let list = [];
    const resp = await RepomoduletyperestserverDao.findByAll({
      data: {
        type: "rule"
      }
    });
    const {
      data: { status, content }
    } = resp;
    if (status == "success") {
      list = content;
    }
    console.log(component("list"))
    component("list").action("setData", list);
    component("list").action("setActive");
  },
  async createRuleGroup({ dispatch }, payload) {
    await RepomoduletyperestserverDao.create({
      data: {
        type: "rule",
        ...payload
      }
    });
    await dispatch("queryRuleGroup");
  },
  async editRuleGroup({ dispatch }, payload) {
    await RepomoduletyperestserverDao.edit({
      data: payload
    });
    await dispatch("queryRuleGroup");
  },
  async deleteRuleGroup({ dispatch }, payload) {
    await RepomoduletyperestserverDao.delete({
      params: payload
    });
    await dispatch("queryRuleGroup");
  }
};
