export default function(lib) {
  const {
    group,
    key,
    version,
    config,
    component: {
      render: {
        layout: { width, height },
      },
    },
  } = lib;
  return {
    version: "v4",
    pages: {
      "test-page": {
        id: "test-page",
        name: "测试",
        type: "page",
        config: {
          width: "100%",
          height: "100%",
          backgroundColor: "#FFFFFF",
        },
        events: [],
        components: {
          "test-component": {
            id: "test-component",
            alias: "",
            type: "online",
            group,
            key,
            version,
            layout: {
              style: {
                width: width + "px",
                height: height + "px",
                left: 0,
                top: 0,
              },
              cssText: "",
            },
            event: [],
            config,
          },
        },
      },
    },
    masters: {},
    settings: {
      initUrl: "test-page",
    },
  };
}
